diff -ru antenna/build.xml antenna-patched/build.xml
--- antenna/build.xml	2004-08-29 17:04:24.000000000 -0400
+++ antenna-patched/build.xml	2005-08-07 15:33:08.000000000 -0400
@@ -1,53 +1,69 @@
 <?xml version="1.0"?>
 
 <project name="antenna" default="all" basedir=".">
+	<property file="build.properties"/>
+
+	<property name="classpath.servlet" value="set in build.properties"/>
+	<property name="project.version" value="set in build.properties" />
+	<property name="project.name" value="set in build.properties" />
+
+	<property name="build.classes" value="build/classes" />
+	<property name="build.javadoc" value="build/doc/api"/>
+	<property name="dist" value="dist" />
+	<property name="src" value="src"/>
+	<property name="project.src.zip" value="${project.name}-src-${project.version}.zip"/>
+	<property name="project.jar" value="${project.name}-bin-${project.version}.jar"/>
 
-	<property name="antenna.servlet" value="c:/Java/tomcat-5.0.25/common/lib/servlet-api.jar" />
-	<property name="antenna.classes" value="tmpclasses" />
-	<property name="antenna.version" value="0.9.13" />
 	
 	<target name="init">
-		<mkdir dir="${antenna.classes}" />
+		<mkdir dir="${build.classes}" />
+		<mkdir dir="${dist}" />
 	</target>
 
-	<target name="compile">
-		<javac srcdir="src" debug="true" destdir="${antenna.classes}" classpath="${ant.home}/lib/ant.jar;${antenna.servlet}" />
+	<target name="compile" depends="init">
+		<javac srcdir="${src}" debug="true" destdir="${build.classes}" classpath="${classpath.servlet}" />
 	</target>
 
-	<target name="package">
-
-		<mkdir dir="dist" />
-		<jar jarfile="dist/antenna-bin-${antenna.version}.jar">
-			<fileset dir="${antenna.classes}">
+	<target name="jar" depends="compile">
+		<jar jarfile="${dist}/${project.jar}">
+			<fileset dir="${build.classes}">
 				<include name="**/*.class" />
 				<include name="res/**" />
 			</fileset>
 
 			<fileset dir="res" />
 		</jar>
+	</target>
 
-		<zip zipfile="dist/antenna-src-${antenna.version}.zip">
+	<target name="src-release">
+		<zip zipfile="${dist}/${project.src.zip}">
 			<fileset dir=".">
-				<include name="src/**/*.java" />
+				<include name="${src}/**/*.java" />
 				<include name="doc/**" />
 				<include name="res/**" />
 				<include name="etc/**" />
 				<include name="samples/**/build.xml" />
 				<include name="LICENSE" />
-				<include name="build.xml" />
+				<include name="build.*" />
 			</fileset>
-
 		</zip>
 	</target>
+	
+	<target name="package" depends="jar,src-release"/>
 
-	<target name="deploy">
-		<copy file="dist/antenna-bin-${antenna.version}.jar" tofile="${ant.home}/lib/antenna.jar" />
+	<target name="deploy" depends="jar">
+		<copy file="${dist}/${project.jar}" tofile="${ant.home}/lib/${project.name}.jar" />
+	</target>
+
+	<target name="javadoc">
+		<javadoc destdir="${build.javadoc}">
+			<fileset dir="${src}"/>
+		</javadoc>
 	</target>
 
 	<target name="clean">
-		<delete dir="${antenna.classes}" failonerror="false" />
-		<delete file="dist/antenna-bin-${antenna.version}.jar" failonerror="false" />
-		<delete file="dist/antenna-src-${antenna.version}.zip" failonerror="false" />
+		<delete dir="${build.classes}" failonerror="false" />
+		<delete dir="${dist}" failonerror="false"/>
 		<delete includeEmptyDirs="true">
 			<fileset dir="samples">
 				<include name="**/*.jar" />
@@ -60,11 +76,7 @@
 		</delete>
 	</target>
 
-	<target name="done" depends="">
-		<delete dir="${antenna.classes}" failonerror="false" />
-	</target>
-
-	<!--target name="all" depends="clean,init,compile,package,done,deploy" /-->
-    <target name="all" depends="clean,init,compile,package,done" />
+	<!--target name="all" depends="clean,init,compile,package,deploy" /-->
+    <target name="all" depends="clean,init,compile,package" />
 
 </project>
